Security update for atftp

SUSE Security Update: Security update for atftp
Announcement ID: SUSE-SU-2019:14033-1
Rating: important
References: #1133114 #1133145
Cross-References: CVE-2019-11365 CVE-2019-11366
Affected Products:
  • SUSE Linux Enterprise Server 11-SP4-LTSS
  • SUSE Linux Enterprise Point of Sale 11-SP3
  • SUSE Linux Enterprise Debuginfo 11-SP4
  • SUSE Linux Enterprise Debuginfo 11-SP3

An update that fixes two vulnerabilities is now available.

Description:

This update for atftp fixes the following issues:
Security issues fixed:

  • CVE-2019-11366: Fixed a denial of service caused by a NULL pointer dereference because thread_list_mutex was not locked (bsc#1133145).
  • CVE-2019-11365: Fixed a buffer overflow which could lead to remote code execution caused by an insecure use of strncpy() (bsc#1133114).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 11-SP4-LTSS:
    zypper in -t patch slessp4-atftp-14033=1
  • SUSE Linux Enterprise Point of Sale 11-SP3:
    zypper in -t patch sleposp3-atftp-14033=1
  • SUSE Linux Enterprise Debuginfo 11-SP4:
    zypper in -t patch dbgsp4-atftp-14033=1
  • SUSE Linux Enterprise Debuginfo 11-SP3:
    zypper in -t patch dbgsp3-atftp-14033=1

Package List:

  • SUSE Linux Enterprise Server 11-SP4-LTSS (i586 ppc64 s390x x86_64):
    • atftp-0.7.0-135.23.3.1
  • SUSE Linux Enterprise Point of Sale 11-SP3 (i586):
    • atftp-0.7.0-135.23.3.1
  • SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ppc64 s390x x86_64):
    • atftp-debuginfo-0.7.0-135.23.3.1
    • atftp-debugsource-0.7.0-135.23.3.1
  • SUSE Linux Enterprise Debuginfo 11-SP3 (i586 s390x x86_64):
    • atftp-debuginfo-0.7.0-135.23.3.1
    • atftp-debugsource-0.7.0-135.23.3.1

References: